# HG changeset patch
# User Eran Kornblau <erankor@gmail.com>
# Date 1488462360 18000
#      Thu Mar 02 08:46:00 2017 -0500
# Node ID ecf63ae67df1d5768be40966a5afadb751d894bc
# Parent  8b7fd958c59f8280d167fe7dd93f1942bfed5876
Added missing static specifiers.

diff -r 8b7fd958c59f -r ecf63ae67df1 src/core/ngx_resolver.c
--- a/src/core/ngx_resolver.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/core/ngx_resolver.c	Thu Mar 02 08:46:00 2017 -0500
@@ -56,8 +56,8 @@
         ((u_char *) (n) - offsetof(ngx_resolver_node_t, node))
 
 
-ngx_int_t ngx_udp_connect(ngx_resolver_connection_t *rec);
-ngx_int_t ngx_tcp_connect(ngx_resolver_connection_t *rec);
+static ngx_int_t ngx_udp_connect(ngx_resolver_connection_t *rec);
+static ngx_int_t ngx_tcp_connect(ngx_resolver_connection_t *rec);
 
 
 static void ngx_resolver_cleanup(void *data);
@@ -4379,7 +4379,7 @@
 }
 
 
-ngx_int_t
+static ngx_int_t
 ngx_udp_connect(ngx_resolver_connection_t *rec)
 {
     int                rc;
@@ -4463,7 +4463,7 @@
 }
 
 
-ngx_int_t
+static ngx_int_t
 ngx_tcp_connect(ngx_resolver_connection_t *rec)
 {
     int                rc;
diff -r 8b7fd958c59f -r ecf63ae67df1 src/event/modules/ngx_devpoll_module.c
--- a/src/event/modules/ngx_devpoll_module.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/event/modules/ngx_devpoll_module.c	Thu Mar 02 08:46:00 2017 -0500
@@ -78,7 +78,7 @@
 };
 
 
-ngx_event_module_t  ngx_devpoll_module_ctx = {
+static ngx_event_module_t  ngx_devpoll_module_ctx = {
     &devpoll_name,
     ngx_devpoll_create_conf,               /* create configuration */
     ngx_devpoll_init_conf,                 /* init configuration */
diff -r 8b7fd958c59f -r ecf63ae67df1 src/event/modules/ngx_epoll_module.c
--- a/src/event/modules/ngx_epoll_module.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/event/modules/ngx_epoll_module.c	Thu Mar 02 08:46:00 2017 -0500
@@ -176,7 +176,7 @@
 };
 
 
-ngx_event_module_t  ngx_epoll_module_ctx = {
+static ngx_event_module_t  ngx_epoll_module_ctx = {
     &epoll_name,
     ngx_epoll_create_conf,               /* create configuration */
     ngx_epoll_init_conf,                 /* init configuration */
diff -r 8b7fd958c59f -r ecf63ae67df1 src/event/modules/ngx_eventport_module.c
--- a/src/event/modules/ngx_eventport_module.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/event/modules/ngx_eventport_module.c	Thu Mar 02 08:46:00 2017 -0500
@@ -169,7 +169,7 @@
 };
 
 
-ngx_event_module_t  ngx_eventport_module_ctx = {
+static ngx_event_module_t  ngx_eventport_module_ctx = {
     &eventport_name,
     ngx_eventport_create_conf,             /* create configuration */
     ngx_eventport_init_conf,               /* init configuration */
diff -r 8b7fd958c59f -r ecf63ae67df1 src/event/modules/ngx_iocp_module.c
--- a/src/event/modules/ngx_iocp_module.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/event/modules/ngx_iocp_module.c	Thu Mar 02 08:46:00 2017 -0500
@@ -52,7 +52,7 @@
 };
 
 
-ngx_event_module_t  ngx_iocp_module_ctx = {
+static ngx_event_module_t  ngx_iocp_module_ctx = {
     &iocp_name,
     ngx_iocp_create_conf,                  /* create configuration */
     ngx_iocp_init_conf,                    /* init configuration */
diff -r 8b7fd958c59f -r ecf63ae67df1 src/event/modules/ngx_kqueue_module.c
--- a/src/event/modules/ngx_kqueue_module.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/event/modules/ngx_kqueue_module.c	Thu Mar 02 08:46:00 2017 -0500
@@ -73,7 +73,7 @@
 };
 
 
-ngx_event_module_t  ngx_kqueue_module_ctx = {
+static ngx_event_module_t  ngx_kqueue_module_ctx = {
     &kqueue_name,
     ngx_kqueue_create_conf,                /* create configuration */
     ngx_kqueue_init_conf,                  /* init configuration */
diff -r 8b7fd958c59f -r ecf63ae67df1 src/event/modules/ngx_poll_module.c
--- a/src/event/modules/ngx_poll_module.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/event/modules/ngx_poll_module.c	Thu Mar 02 08:46:00 2017 -0500
@@ -27,7 +27,7 @@
 
 static ngx_str_t    poll_name = ngx_string("poll");
 
-ngx_event_module_t  ngx_poll_module_ctx = {
+static ngx_event_module_t  ngx_poll_module_ctx = {
     &poll_name,
     NULL,                                  /* create configuration */
     ngx_poll_init_conf,                    /* init configuration */
diff -r 8b7fd958c59f -r ecf63ae67df1 src/event/modules/ngx_select_module.c
--- a/src/event/modules/ngx_select_module.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/event/modules/ngx_select_module.c	Thu Mar 02 08:46:00 2017 -0500
@@ -35,7 +35,7 @@
 
 static ngx_str_t    select_name = ngx_string("select");
 
-ngx_event_module_t  ngx_select_module_ctx = {
+static ngx_event_module_t  ngx_select_module_ctx = {
     &select_name,
     NULL,                                  /* create configuration */
     ngx_select_init_conf,                  /* init configuration */
diff -r 8b7fd958c59f -r ecf63ae67df1 src/event/modules/ngx_win32_select_module.c
--- a/src/event/modules/ngx_win32_select_module.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/event/modules/ngx_win32_select_module.c	Thu Mar 02 08:46:00 2017 -0500
@@ -36,7 +36,7 @@
 
 static ngx_str_t    select_name = ngx_string("select");
 
-ngx_event_module_t  ngx_select_module_ctx = {
+static ngx_event_module_t  ngx_select_module_ctx = {
     &select_name,
     NULL,                                  /* create configuration */
     ngx_select_init_conf,                  /* init configuration */
diff -r 8b7fd958c59f -r ecf63ae67df1 src/event/ngx_event.c
--- a/src/event/ngx_event.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/event/ngx_event.c	Thu Mar 02 08:46:00 2017 -0500
@@ -59,20 +59,20 @@
 
 #if (NGX_STAT_STUB)
 
-ngx_atomic_t   ngx_stat_accepted0;
-ngx_atomic_t  *ngx_stat_accepted = &ngx_stat_accepted0;
-ngx_atomic_t   ngx_stat_handled0;
-ngx_atomic_t  *ngx_stat_handled = &ngx_stat_handled0;
-ngx_atomic_t   ngx_stat_requests0;
-ngx_atomic_t  *ngx_stat_requests = &ngx_stat_requests0;
-ngx_atomic_t   ngx_stat_active0;
-ngx_atomic_t  *ngx_stat_active = &ngx_stat_active0;
-ngx_atomic_t   ngx_stat_reading0;
-ngx_atomic_t  *ngx_stat_reading = &ngx_stat_reading0;
-ngx_atomic_t   ngx_stat_writing0;
-ngx_atomic_t  *ngx_stat_writing = &ngx_stat_writing0;
-ngx_atomic_t   ngx_stat_waiting0;
-ngx_atomic_t  *ngx_stat_waiting = &ngx_stat_waiting0;
+static ngx_atomic_t   ngx_stat_accepted0;
+ngx_atomic_t         *ngx_stat_accepted = &ngx_stat_accepted0;
+static ngx_atomic_t   ngx_stat_handled0;
+ngx_atomic_t         *ngx_stat_handled = &ngx_stat_handled0;
+static ngx_atomic_t   ngx_stat_requests0;
+ngx_atomic_t         *ngx_stat_requests = &ngx_stat_requests0;
+static ngx_atomic_t   ngx_stat_active0;
+ngx_atomic_t         *ngx_stat_active = &ngx_stat_active0;
+static ngx_atomic_t   ngx_stat_reading0;
+ngx_atomic_t         *ngx_stat_reading = &ngx_stat_reading0;
+static ngx_atomic_t   ngx_stat_writing0;
+ngx_atomic_t         *ngx_stat_writing = &ngx_stat_writing0;
+static ngx_atomic_t   ngx_stat_waiting0;
+ngx_atomic_t         *ngx_stat_waiting = &ngx_stat_waiting0;
 
 #endif
 
@@ -165,7 +165,7 @@
 };
 
 
-ngx_event_module_t  ngx_event_core_module_ctx = {
+static ngx_event_module_t  ngx_event_core_module_ctx = {
     &event_core_name,
     ngx_event_core_create_conf,            /* create configuration */
     ngx_event_core_init_conf,              /* init configuration */
diff -r 8b7fd958c59f -r ecf63ae67df1 src/http/modules/ngx_http_charset_filter_module.c
--- a/src/http/modules/ngx_http_charset_filter_module.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/http/modules/ngx_http_charset_filter_module.c	Thu Mar 02 08:46:00 2017 -0500
@@ -123,7 +123,7 @@
 static ngx_int_t ngx_http_charset_postconfiguration(ngx_conf_t *cf);
 
 
-ngx_str_t  ngx_http_charset_default_types[] = {
+static ngx_str_t  ngx_http_charset_default_types[] = {
     ngx_string("text/html"),
     ngx_string("text/xml"),
     ngx_string("text/plain"),
diff -r 8b7fd958c59f -r ecf63ae67df1 src/http/modules/ngx_http_gzip_static_module.c
--- a/src/http/modules/ngx_http_gzip_static_module.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/http/modules/ngx_http_gzip_static_module.c	Thu Mar 02 08:46:00 2017 -0500
@@ -48,7 +48,7 @@
 };
 
 
-ngx_http_module_t  ngx_http_gzip_static_module_ctx = {
+static ngx_http_module_t  ngx_http_gzip_static_module_ctx = {
     NULL,                                  /* preconfiguration */
     ngx_http_gzip_static_init,             /* postconfiguration */
 
diff -r 8b7fd958c59f -r ecf63ae67df1 src/http/modules/ngx_http_static_module.c
--- a/src/http/modules/ngx_http_static_module.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/http/modules/ngx_http_static_module.c	Thu Mar 02 08:46:00 2017 -0500
@@ -14,7 +14,7 @@
 static ngx_int_t ngx_http_static_init(ngx_conf_t *cf);
 
 
-ngx_http_module_t  ngx_http_static_module_ctx = {
+static ngx_http_module_t  ngx_http_static_module_ctx = {
     NULL,                                  /* preconfiguration */
     ngx_http_static_init,                  /* postconfiguration */
 
diff -r 8b7fd958c59f -r ecf63ae67df1 src/http/modules/ngx_http_xslt_filter_module.c
--- a/src/http/modules/ngx_http_xslt_filter_module.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/http/modules/ngx_http_xslt_filter_module.c	Thu Mar 02 08:46:00 2017 -0500
@@ -109,7 +109,7 @@
 static void ngx_http_xslt_filter_exit(ngx_cycle_t *cycle);
 
 
-ngx_str_t  ngx_http_xslt_default_types[] = {
+static ngx_str_t  ngx_http_xslt_default_types[] = {
     ngx_string("text/xml"),
     ngx_null_string
 };
diff -r 8b7fd958c59f -r ecf63ae67df1 src/http/ngx_http_upstream.c
--- a/src/http/ngx_http_upstream.c	Mon Feb 27 22:36:15 2017 +0300
+++ b/src/http/ngx_http_upstream.c	Thu Mar 02 08:46:00 2017 -0500
@@ -188,7 +188,7 @@
 #endif
 
 
-ngx_http_upstream_header_t  ngx_http_upstream_headers_in[] = {
+static ngx_http_upstream_header_t  ngx_http_upstream_headers_in[] = {
 
     { ngx_string("Status"),
                  ngx_http_upstream_process_header_line,
